<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('products', function (Blueprint $table) {
            $table->unsignedInteger('amadast_product_type_id')->nullable()->after('package_type');
            $table->string('amadast_product_type_title', 100)->nullable()->after('amadast_product_type_id');
        });
    }

    public function down(): void
    {
        Schema::table('products', function (Blueprint $table) {
            $table->dropColumn(['amadast_product_type_id', 'amadast_product_type_title']);
        });
    }
};
